org.jbpm.ruleflow.core.factory

## Class WorkItemNodeFactory

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory
  - - org.jbpm.ruleflow.core.factory.WorkItemNodeFactory

-     public class WorkItemNodeFactory
      extends NodeFactory

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkItemNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Node` | `createNode()`
    `protected WorkItemNode` | `getWorkItemNode()`
    `WorkItemNodeFactory` | `inMapping(String parameterName, String variableName)`
    `WorkItemNodeFactory` | `name(String name)`
    `WorkItemNodeFactory` | `onEntryAction(String dialect, String action)`
    `WorkItemNodeFactory` | `onExitAction(String dialect, String action)`
    `WorkItemNodeFactory` | `outMapping(String parameterName, String variableName)`
    `WorkItemNodeFactory` | `timer(String delay, String period, String dialect, String action)`
    `WorkItemNodeFactory` | `waitForCompletion(boolean waitForCompletion)`
    `WorkItemNodeFactory` | `workName(String name)`
    `WorkItemNodeFactory` | `workParameter(String name, Object value)`
    `WorkItemNodeFactory` | `workParameterDefinition(String name, org.drools.core.process.core.datatype.DataType dataType)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkItemNodeFactory

          public WorkItemNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                                     NodeContainer nodeContainer,
                                     long id)

  - ### Method Detail

    - #### createNode

          protected Node createNode()

      Specified by:
        `createNode` in class `NodeFactory`

    - #### getWorkItemNode

          protected WorkItemNode getWorkItemNode()

    - #### name

          public WorkItemNodeFactory name(String name)

    - #### waitForCompletion

          public WorkItemNodeFactory waitForCompletion(boolean waitForCompletion)

    - #### inMapping

          public WorkItemNodeFactory inMapping(String parameterName,
                                               String variableName)

    - #### outMapping

          public WorkItemNodeFactory outMapping(String parameterName,
                                                String variableName)

    - #### workName

          public WorkItemNodeFactory workName(String name)

    - #### workParameter

          public WorkItemNodeFactory workParameter(String name,
                                                   Object value)

    - #### workParameterDefinition

          public WorkItemNodeFactory workParameterDefinition(String name,
                                                             org.drools.core.process.core.datatype.DataType dataType)

    - #### onEntryAction

          public WorkItemNodeFactory onEntryAction(String dialect,
                                                   String action)

    - #### onExitAction

          public WorkItemNodeFactory onExitAction(String dialect,
                                                  String action)

    - #### timer

          public WorkItemNodeFactory timer(String delay,
                                           String period,
                                           String dialect,
                                           String action)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.